


/* scroller */
/* <div class="scroll"></div> */
/* NOT WORKING */




/* Simple, Add height in html, style="height:150px;">  */
.scroll {
  overflow: auto;
}


/* ALL OPTIONS HERE */
.scroller-bluefortest {
  height: 200px;
  overflow: auto;
  border: 1px solid #666;
  background-color: #C3E5FF;
  padding:0px 0px 0px 0px ;
}



/* ---------------- SPECIAL and COLORED BOXES ----------------- */	

/* width set in adaptive section */	
.box-full {
width: 100%;
  padding: 8px 0px 8px 0px;
  /* origianl, margin-bottom: 18px; */	
  margin:5px 0px;
  text-align: left;
        position: relative;
        color: #3a87ad;
}

/* ONLY sets padding in these box-full boxes */	
.box-full p{ padding: 0px 5px 0px 5px;}


.box-full-nav-mobile
{
  text-align: center;
  width: 100%;
  padding: 8px 0px 8px 0px;
  /* origianl, margin-bottom: 18px; */	
  margin:5px 0px;
        position: relative;
        float: left;
        color: #3a87ad;
}




.breaker {
width: 100%;
height:10px;
  margin: 10px 0px 2px 0px;
        position: relative;
        color: #3a87ad;
}




/* width & position set in adaptive section */	
.box-left {
/* float: left; */	
margin:5px 0px;
text-align: left;
position: relative;
padding: 5px;
}
.box-right {
/* float: right; */	
margin:5px 0px;
text-align: left;
position: relative;
padding: 5px;
}





/* COLORS */	
.box-blue{
  text-shadow: 0 1px 0 rgba(255, 255, 255, 0.5);
  background-color: #fcf8e3;
  border: 1px solid #fbeed5;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
  /* mixing colors */	
  background-color: #d9edf7;
  border-color: #bce8f1;
  color: #3a87ad;
}

.box-green{
  text-shadow: 0 1px 0 rgba(255, 255, 255, 0.5);
  background-color: #fcf8e3;
  border: 1px solid #fbeed5;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
  /* mixing colors */	
  background-color: #dff0d8;
  border-color: #d6e9c6;
  color: #468847;
}

.box-red{
  text-shadow: 0 1px 0 rgba(255, 255, 255, 0.5);
  background-color: #fcf8e3;
  border: 1px solid #fbeed5;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
  /* mixing colors */	
  background-color: #f2dede;
  border-color: #eed3d7;
  color: #b94a48;
}

.box-yellow{
  text-shadow: 0 1px 0 rgba(255, 255, 255, 0.5);
  background-color: #fcf8e3;
  border: 1px solid #fbeed5;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
  /* mixing colors */	
  color: #c09853;
}





/* NIU, REF ONLY */	
.bluebox-long {
        width: 863px;
  padding: 8px 2px 8px 2px;
  /* origianl, margin-bottom: 18px; */	
  margin:5px 0px;
  text-shadow: 0 1px 0 rgba(255, 255, 255, 0.5);
  background-color: #fcf8e3;
  border: 1px solid #fbeed5;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
    background-color: #d9edf7;
  border-color: #bce8f1;
  text-align: left;
        position: relative;
        padding: 15px;
        float: left;
        color: #3a87ad;
}
/* ---------------- Specail and COLORED BOXES end ----------------- */	





div.scroller-01 {
  height: 200px;
  width: 300px;
  overflow: auto;
  border: 1px solid #666;
  background-color: #C3E5FF;
  padding: 8px;
}

div.scroller-02 {
  height: 50px;
  width: 50px;
  overflow: auto;
  border: 1px solid #666;
  background-color: #C3E5FF;
  padding: 8px;
}




.hero-unit {
  padding: 60px;
  margin-bottom: 30px;
  background-color: #f5f5f5;
  -webkit-border-radius: 6px;
  -moz-border-radius: 6px;
  border-radius: 6px;
}
.hero-unit h1 {
  margin-bottom: 0;
  font-size: 60px;
  line-height: 1;
  letter-spacing: -1px;
}
.hero-unit p {
  font-size: 18px;
  font-weight: 200;
  line-height: 27px;
}






.well {
  min-height: 20px;
  padding: 19px;
  margin-bottom: 20px;
  background-color: #f5f5f5;
  border: 1px solid #eee;
  border: 1px solid rgba(0, 0, 0, 0.05);
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.05);
  -moz-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.05);
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.05);
}
.well blockquote {
  border-color: #ddd;
  border-color: rgba(0, 0, 0, 0.15);
}






pre {
  display: block;
  padding: 8.5px;
  margin: 0 0 9px;
  font-size: 12px;
  line-height: 18px;
  background-color: #f5f5f5;
  border: 1px solid #ccc;
  border: 1px solid rgba(0, 0, 0, 0.15);
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
  white-space: pre;
  white-space: pre-wrap;
  word-break: break-all;
  word-wrap: break-word;
}
pre.prettyprint {
  margin-bottom: 18px;
}
pre code {
  padding: 0;
  color: inherit;
  background-color: transparent;
  border: 0;
}
.pre-scrollable {
  max-height: 340px;
  overflow-y: scroll;
}



.prettyprint{
  padding: 8px;
  background-color: #f7f7f9;
  border: 1px solid #e1e1e8;
  margin-bottom: 18px;
}

.prettyprint1.pad, .prettyprint2.pad, div.simple, p.simple, div.simple1, p.simple1, div.simple2, p.simple2{padding: 8px 8px 8px 8px;}
.prettyprint1, div.simple, p.simple, div.simple1, p.simple1{
      -webkit-border-radius: 4px;
      -moz-border-radius: 4px;
      border-radius: 4px;
  background-color: #f7f7f9;
  border: 1px solid #e1e1e8;
  margin-bottom: 18px;
  display: block;
  border: 1px solid #ccc;
  border: 1px solid rgba(0, 0, 0, 0.15);
  word-break: break-all;
  word-wrap: break-word;          
}
.prettyprint2, div.simple2, p.simple2 {
  background-color: #f7f7f9;
  border: 1px solid #e1e1e8;
  margin-bottom: 18px;
  display: block;
  border: 1px solid #ccc;
  border: 1px solid rgba(0, 0, 0, 0.15);
  word-break: break-all;
  word-wrap: break-word;          
}




/* HOVERBOX, mmx */	
p.hoverbox  {margin: 0;line-height: 22px;}
.hoverbox {
    margin-bottom: 18px;
    background-color: #eee;
    padding: 8px 8px;
    -moz-border-radius: 8px;
    -webkit-border-radius: 8px;
    border-radius: 8px;
}
.hoverbox:hover {background-color: #ddd;}
.hoverbox:hover p {color: #444;}


/* DOTBOX always centered, mmx */	
.dotbox {
	margin:0px auto; /* Right and left margin widths set to "auto" *//* always centered, mmx */	
	text-align:left; /* Counteract to IE5/Win Hack *//* always centered, mmx */	
	padding:8px;
	border:1px dashed #333;
	background-color:#eee;
    margin-bottom: 18px;	
	}

/* DOTBOX always centered, mmx */	
.dotbox2 {
	margin:0px auto; /* Right and left margin widths set to "auto" *//* always centered, mmx */	
	text-align:left; /* Counteract to IE5/Win Hack *//* always centered, mmx */	
	padding:15px;
	border:1px dashed #333;
	background-color:#eee;
    margin-bottom: 18px;	
	}


/* FOR THE LINE NUMBERS, undocumented, mmx */
.prettyprint.linenums {
  -webkit-box-shadow: inset 40px 0 0 #fbfbfc, inset 41px 0 0 #ececf0;
     -moz-box-shadow: inset 40px 0 0 #fbfbfc, inset 41px 0 0 #ececf0;
          box-shadow: inset 40px 0 0 #fbfbfc, inset 41px 0 0 #ececf0;
}

/* Specify class=linenums on a pre to get line numbering */
ol.linenums {
  margin: 0 0 0 33px; /* IE indents via margin-left */
} 
ol.linenums li {
  padding-left: 12px;
  color: #bebec5;
  line-height: 18px;
  text-shadow: 0 1px 0 #fff;
}


